### Function Macro

# GLib BREAKPOINT

#### Declaration [src]

    #define G_BREAKPOINT (
      void
    )

#### Description [src]

Inserts a breakpoint instruction into the code.

On architectures which support it, this is implemented as a soft interrupt and on other architectures it raises a `SIGTRAP` signal.

`SIGTRAP` is used rather than `abort()` to allow breakpoints to be skipped past in a debugger if they are not the desired target of debugging.

This function is not directly available to language bindings.